Loading...
Searching...
No Matches
Dune::CartesianIndexMapper< Grid > Class Template Reference

Interface class to access the logical Cartesian grid as used in industry standard simulator decks. More...

`#include <CartesianIndexMapper.hpp>`

## Public Member Functions

| CartesianIndexMapper (const Grid &)
| constructor taking grid
const std::array< int, dimension > & | cartesianDimensions () const
| return Cartesian dimensions, i.e.
int | cartesianSize () const
| return total number of cells in the logical Cartesian grid
int | compressedSize () const
| return number of cells in the active grid
int | cartesianIndex (const int) const
| return index of the cells in the logical Cartesian grid
void | cartesianCoordinate (const int, std::array< int, dimension > &) const
| return Cartesian coordinate, i.e.

## Static Public Attributes

static const int | dimension = Grid :: dimension
| dimension of the grid

## Detailed Description

template<class Grid>
class Dune::CartesianIndexMapper< Grid >

Interface class to access the logical Cartesian grid as used in industry standard simulator decks.

## Member Function Documentation

## cartesianCoordinate()

template<class Grid>

void Dune::CartesianIndexMapper< Grid >::cartesianCoordinate | ( | const int | ,
|  | std::array< int, dimension > & | ) const

inline

return Cartesian coordinate, i.e.

IJK, for a given cell

## cartesianDimensions()

template<class Grid>

const std::array< int, dimension > & Dune::CartesianIndexMapper< Grid >::cartesianDimensions | ( |  | ) | const

inline

return Cartesian dimensions, i.e.

number of cells in each direction

The documentation for this class was generated from the following file:

- opm/grid/common/CartesianIndexMapper.hpp